teamEditImpact
Who saving updateTeam with these params would take off what they are responsible for, the team itself included, and whom it would leave without any profile or out of the company.
teamEditImpact(
id: ID!
params: TeamTypeInput!
): AccessEditImpact!
Arguments
teamEditImpact.id ● ID! non-null scalar
Team ID
teamEditImpact.params ● TeamTypeInput! non-null input
What updateTeam would be sent
Type
AccessEditImpact object
What saving an access edit would unassign, and whom it would leave without any profile or out of the company
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetTeamEditImpact($id: ID!, $params: TeamTypeInput!) {\n teamEditImpact(id: $id, params: $params) { leftOutOfCompany { id name accesses { __typename } } leftWithoutProfile { id name accesses { __typename } } teamUnassignments { assets issues projects } }\n}","variables":{"id":"example-id","params":{"label":"example"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetTeamEditImpact($id: ID!, $params: TeamTypeInput!) {\n teamEditImpact(id: $id, params: $params) { leftOutOfCompany { id name accesses { __typename } } leftWithoutProfile { id name accesses { __typename } } teamUnassignments { assets issues projects } }\n}",
variables: {
"id": "example-id",
"params": {
"label": "example"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetTeamEditImpact($id: ID!, $params: TeamTypeInput!) {\n teamEditImpact(id: $id, params: $params) { leftOutOfCompany { id name accesses { __typename } } leftWithoutProfile { id name accesses { __typename } } teamUnassignments { assets issues projects } }\n}",
'variables': json.loads("{\"id\":\"example-id\",\"params\":{\"label\":\"example\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute